#include <iostream>
using namespace std;

unsigned long long combine(int a, int b) {
   int times = 1;
   while (times <= b)
      times *= 10;
      
   return a*times + b;
} 


int main(int argc, char** argv) {
	int br;
	unsigned long long  a,b,c,abc,acb,cab,cba,bac,bca,max;
	
	cin>>a>>b>>c;
	
	abc = combine(combine(a,b),c);
	acb = combine(combine(a,c),b);
	bac = combine(combine(b,a),c);
	bca = combine(combine(b,c),a);
	cab = combine(combine(c,a),b);
	cba = combine(combine(c,b),a); 
	
	max = abc;
	for(int i = 0;i<6; i++){
		if (acb>max){
			
			max = acb;
		}
		if (bac>max){
			
			max = bac;
		}
		if (bca>max){
			
			max = bca;
		}
		if (cab>max){
			
			max = cab;
		}
		if (cba>max){
			
			max = cba;
			
		}
	}
cout<<max;
	return 0;
}